Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.common.service
Interface ImplementationObjectFactory

All Known Subinterfaces:
  ResourceFactory

All Known Implementing Classes:
  ImplementationClassObjectFactoryImpl, ResourceFactoryImpl

    public interface ImplementationObjectFactory

Maps from interfaces to implementations and back

Author:
  swood

Method Summary
`java.lang.String` | `getIdForClass(java.lang.Class _class)`
`java.lang.Class` | `getImplementationClass(java.lang.Class _class)`
`java.lang.Class` | `getImplementationClass(java.lang.String id)`
`java.lang.String` | `getImplementationClassName(java.lang.Class _class)`
`java.lang.String` | `getImplementationClassName(java.lang.String id)`
`java.lang.Class` | `getInterface(java.lang.Class _class)`
`java.lang.String` | `getInterfaceName(java.lang.Class _class)`
`java.util.List` | `getKeys()`
`java.lang.Object` | `newObject(java.lang.Class _class)`
`java.lang.Object` | `newObject(java.lang.String id)`

Method Detail

### getImplementationClass

    java.lang.Class getImplementationClass(java.lang.Class _class)

### getImplementationClass

    java.lang.Class getImplementationClass(java.lang.String id)

### getImplementationClassName

    java.lang.String getImplementationClassName(java.lang.Class _class)

### getImplementationClassName

    java.lang.String getImplementationClassName(java.lang.String id)

### getInterface

    java.lang.Class getInterface(java.lang.Class _class)

### getInterfaceName

    java.lang.String getInterfaceName(java.lang.Class _class)

### getIdForClass

    java.lang.String getIdForClass(java.lang.Class _class)

### newObject

    java.lang.Object newObject(java.lang.Class _class)

### newObject

    java.lang.Object newObject(java.lang.String id)

### getKeys

    java.util.List getKeys()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.